
EclaireXL - Feature #81

Breakpoint support for turbo freezer

08/21/2019 09:45 PM - foft

Status: Closed Start date: 08/21/2019

Priority: High Due date:  

Assignee: foft % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:    

Description

Would it be possible for the core to automatically push the Freezer key F12 when the emulation's PC hits a certain address or it

reads/writes from/to a certain emulated address?

History

#1 - 08/21/2019 09:46 PM - foft

- Assignee set to foft

#2 - 09/11/2019 10:18 PM - foft

Implemented first cut and released as v36 (eclaire only).

Debug sub-menu

address match

data match (optional)

read/write only (optional)

When these match then the freezer button is pressed and an nmi triggered. So end up in the freezer menu a couple of instructions later.

#3 - 09/11/2019 10:19 PM - foft

Potential improvements:

i) somehow stop cpu executing more instructions until nmi

ii) advanced multi-level debug triggers. e.g. addr/data 1 then addr/data2 or addr/data3 etc.

iii) trigger on other things, such as vcount

#4 - 09/11/2019 10:20 PM - foft

- Status changed from New to Closed
